PASTEBINCL(1)

NAME
PastebinCL - Pastebin Commnd-Line, posts a "paste" on http://pastebin.com/

SYNOPSIS
pastebincl [options]

DESCRIPTION
PastebinCL is a program which sends a "paste" at http://pastebin.com/ using a command-line interface.

  USAGE
When you run pastebincl, it will wait for user entry until you press ctrl+D. Then, it will send the text on pastebin with the given options.

  POST AS A REGISTERED USER
To post as a registered user, you must generate a file containing your username and password. To do so, run "pastebincl --usergen".

OPTIONS
The possible arguments are:

-v, --version
    Prints the program version and basic informatons, and then returns.

-h, -?, --help
    Prints a short help, and then returns.

--licence
    Prints the program licence, and then returns.

--usergen
    Generates an "users" file for the software with the informations given afterwards.

-n [name], --name=[name]
    Defines [name] as the paste name.

-s [syntax], --syntax=[syntax]
    Defines [syntax] as the syntax highlighting pattern of your text, eg. "c" or "lolcode" (see the full list on http://pastebin.com/). To display the complete list, run "pastebincl --syntaxlist".

--syntaxlist
    Displays the complete list of "syntax" parameters (see "-s").

-e [expire_time], --expire [expire_time]
    Defines [expire_time] as the time before the paste expires. Possible values : N = Never ; 10M = 10 Minutes ; 1H = 1 Hour ; 1D = 1 Day ; 1M = 1 Month.

-p, --private
    Posts a private past instead of a public one. A private paste won't be displayed in the latest pastes, neither indexed by search engines.

-g, --guest
    Posts the paste as a guest. It's the default option if no configuration file was set.

FILES

~/.pastebinclrc
    The file generated by --usergen. It is encrypted with a built-in key generated during compilation, and contains username and password for your pastebin account.

EXAMPLES

To post a paste without options:
    $ pastebincl (type your text, then ctrl+D)

To post without options a file named "foo.txt":
    $ cat foo.txt | pastebincl

To post a paste named "foo", in C language, privately, which expires in 10 minutes:
    $ pastebincl -n foo -s c -e 10M -p (type your text, then ctrl+D)

AUTHOR
Both pastebincl and this manpage were written by Theophile BASTIAN (aka. Tobast) <contact@tobast.fr>.

LICENCE
Pastebincl is under GNU GPL licence, as published by the Free Software Fundation on version 3.

REPORTING BUGS
Please report every bug you encounter to <error-report@tobast.fr>.